import { defHttp } from '@/utils/http/axios';
enum Api {
  // 招标代理
  LoadBiddingAgency = '/api/BiddingAgency/LoadBiddingAgency',
  AddBiddingAgency = '/api/BiddingAgency/AddBiddingAgency',
  EditBiddingAgency = '/api/BiddingAgency/EditBiddingAgency',
  DeleteBiddingAgency = '/api/BiddingAgency/DeleteBiddingAgency',
  ReviewBiddingAgency = '/api/BiddingAgency/ReviewBiddingAgency',
  AddCompanyAccount = '/api/BiddingAgency/AddCompanyAccount',
}

export function LoadBiddingAgency(params) {
  return defHttp.get({
    url: Api.LoadBiddingAgency,
    params,
  });
}
export function AddBiddingAgency(params) {
  return defHttp.post({
    url: Api.AddBiddingAgency,
    params,
  });
}
export function EditBiddingAgency(params) {
  return defHttp.post({
    url: Api.EditBiddingAgency,
    params,
  });
}
export function DeleteBiddingAgency(id) {
  return defHttp.post({
    url: `${Api.DeleteBiddingAgency}?id=${id}`,
  });
}
export function ReviewBiddingAgency(id) {
  return defHttp.post({
    url: `${Api.ReviewBiddingAgency}?id=${id}`,
  });
}
export function AddCompanyAccount(params) {
  return defHttp.post({
    url: Api.AddCompanyAccount,
    params,
  });
}